Ownership and events
US Institutional Holdings
Call GET /us/institutional-holdings on the Corpus API.
GET /us/institutional-holdings
Call GET /us/institutional-holdings on the Corpus API.
Category: US · ownership
Authentication
Send the provisioned API key in the X-API-KEY header.
Required scopes: us:read.
Request
| Name | In | Required | Type | Constraints | Description |
|---|---|---|---|---|---|
| accession_number | query | no | string | null | — | — |
| manager_cik | query | no | string | null | — | — |
| cusip | query | no | string | null | — | — |
| start_date | query | no | string (date) | null | — | — |
| end_date | query | no | string (date) | null | — | — |
| put_call | query | no | string | null | — | — |
| as_of | query | no | string | null | — | — |
| limit | query | no | integer | default 100; min 1; max 1000 | — |
| offset | query | no | integer | default 0; min 0 | — |
Example request
curl --request GET \
--url 'https://corpus-api.onera.app/us/institutional-holdings?accession_number=0000320193-25-000079&limit=100' \
--header "X-API-KEY: ${CORPUS_API_KEY}"
Responses
| Status | Description | Content type | Schema |
|---|---|---|---|
| 200 | Successful Response | application/json | InstitutionalHoldingsResponse |
| 400 | Invalid parameter combination | application/json | ErrorResponse |
| 401 | Missing or invalid API key | application/json | ErrorResponse |
| 403 | Insufficient jurisdiction or scope | application/json | ErrorResponse |
| 404 | Unknown resource | application/json | ErrorResponse |
| 422 | Request schema validation failed | application/json | ErrorResponse |
| 429 | Rate limit exceeded | application/json | ErrorResponse |
| 503 | Source content is unavailable or still processing | application/json | ErrorResponse |
Representative 200 response
{
"holdings": [
{
"accession_number": "0000320193-25-000079",
"holding_ordinal": 1,
"manager_cik": "string",
"knowledge_time": "2025-12-31T23:59:59Z",
"report_date": "2025-12-31",
"issuer_name": "string",
"class_title": "string",
"cusip": "string",
"value_thousands_usd": 1,
"value_reported": 1,
"value_unit": "USD",
"value_usd": 1,
"shares_or_principal": 1,
"shares_or_principal_type": "string",
"put_call": "string",
"investment_discretion": "string",
"other_manager": "string",
"voting_sole": 1,
"voting_shared": 1,
"voting_none": 1,
"source_id": "sec_edgar"
}
],
"meta": {
"jurisdiction": "US",
"count": 1,
"limit": 10,
"offset": 0,
"next_offset": null,
"as_of": "2025-12-31T23:59:59Z",
"normalization_version": "string",
"provenance": {}
}
}